OpenVDB 13.0.0

Loading...
Searching...
No Matches
Parse.h File Reference

Parsing methods for creating abstract syntax trees out of AX code. More...

`#include "AST.h"`
`#include "../compiler/Logger.h"`
`#include <openvdb/version.h>`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::ax
namespace | openvdb::v13_0::ax::ast

## Functions
OPENVDB_AX_API openvdb::ax::ast::Tree::ConstPtr | parse (const char *code, ax::Logger &logger)
| Construct an abstract syntax tree from a code snippet.
OPENVDB_AX_API openvdb::ax::ast::Tree::Ptr | parse (const char *code)
| Construct an abstract syntax tree from a code snippet.

## Detailed Description

Parsing methods for creating abstract syntax trees out of AX code.

Authors
  Nick Avramoussis, Richard Jones